Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.webgui.domain
Enum DisplayType

    java.lang.Object
      java.lang.Enum<DisplayType>
          kieker.webgui.domain.DisplayType

All Implemented Interfaces:
  Serializable, Comparable<DisplayType>

    public enum DisplayType

extends Enum<DisplayType>

This enumeration represents the different display types within Kieker.

Author:
  Nils Christian Ehmke

Enum Constant Summary
`HTML_TEXT` Represents the html text display type.
`IMAGE` Represents the image display type.
`METER_GAUGE` Represents the meter gauge display type.
`PIE_CHART` Represents the pie chart display type.
`PLAIN_TEXT` Represents the plain text display type.
`TAG_CLOUD` Represents the tag cloud display type.
`UNKNOWN` Represents an unknown display type.
`XY_PLOT` Represents the plot display type.

Method Summary
`static DisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XY_PLOT

    public static final DisplayType XY_PLOT

  Represents the plot display type.

### PIE_CHART

    public static final DisplayType PIE_CHART

  Represents the pie chart display type.

### PLAIN_TEXT

    public static final DisplayType PLAIN_TEXT

  Represents the plain text display type.

### HTML_TEXT

    public static final DisplayType HTML_TEXT

  Represents the html text display type.

### IMAGE

    public static final DisplayType IMAGE

  Represents the image display type.

### METER_GAUGE

    public static final DisplayType METER_GAUGE

  Represents the meter gauge display type.

### TAG_CLOUD

    public static final DisplayType TAG_CLOUD

  Represents the tag cloud display type.

### UNKNOWN

    public static final DisplayType UNKNOWN

  Represents an unknown display type. This field is necessary in order to avoid null values and resulting exceptions.

Method Detail

### values

    public static DisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DisplayType c : DisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All rights reserved.